<button mat-stroked-button [matMenuTriggerFor]="menu" [disabled]="disabled">
  {{quantity}}
  <mat-icon *ngIf="!disabled">expand_more</mat-icon>
</button>
<mat-menu #menu="matMenu">
  <button *ngFor="let value of values" (click)="setQuantity(value)" mat-menu-item>{{value}}</button>
</mat-menu>